Subject: RE: CGA-based HoA generation for MIP6 (was RE: [Mipshop] Review of draft-arkko-mipshop-cga-cba-04)

From: "Vijay Devarapalli" <[email-masked]>
Date: Mon, 14 Aug 2006 13:22:30 -0700

hello,

auto-configured home addresses are addressed in section 
5.3.2 of draft-ietf-mip6-bootstrapping-split-02.txt.

in the current specs, the home agent does not care whether
the home address was generated using CGA, stateless address
auto-configuration or RFC 3041. 

Vijay 

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: Monday, August 14, 2006 1:13 PM
> To: Narayanan, Vidya
> Cc: Christian Vogt; [email-masked]; Vijay Devarapalli
> Subject: Re: CGA-based HoA generation for MIP6 (was RE: 
> [Mipshop] Review of draft-arkko-mipshop-cga-cba-04)
> 
> Narayanan, Vidya wrote:
> 
> >One question regarding CGA-based HoAs - don't we need to specify how
> >CGA-based HoAs impact home registrations? For instance, the preferred
> >HoA bootstrapping mechanism today is using IKEv2. I'd imagine that we
> >will need to specify how a CGA-based HoA is generated after 
> MPD and how
> >that binding is registered with the HA (i.e., does it need 
> to be signed?
> >Does the HA also need to know if the HoA has been generated using
> >CGAs?). 
> >  
> >
> Good question! I do not recall if this has been analyzed
> during the design of cga-cba draft. But taking a look at
> draft-ietf-mip6-ikev2-ipsec, it does allow the mobile node
> to suggest what address to use. I'm not sure the draft
> says anything about discovering the prefix first before
> suggesting an address (which would be needed for CGAs),
> but this seems in general possible in IKEv2. Vijay, are
> you listening?
> 
> --Jari
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop